/***************************************************************************
 *   Copyright (C) 2007  Antony Martin <martin.antony@yahoo.fr>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or         *
 *   modify it under the terms of the GNU General Public License           *
 *   as published by the Free Software Foundation; either version 2        *
 *   of the License, or (at your option) any later version.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA          *
 ***************************************************************************/

/* Cree le : 12 octobre 2006
   derniere modification le 20/03/2008 */

#ifndef SCENGINE_H
#define SCENGINE_H

#include <SCE/SCEMinimal.h>

/* inclusions des en-tetes de manipulations mathematiques */
#include <SCE/utils/SCEMath.h>
#include <SCE/utils/SCEVector.h>
#include <SCE/utils/SCEMatrix.h>
#include <SCE/utils/SCELine.h>
#include <SCE/utils/SCERectangle.h>
#include <SCE/utils/SCEPlane.h>

/* outils */
#include <SCE/utils/SCEInert.h>
#include <SCE/utils/SCEMedia.h>
#include <SCE/utils/SCEResources.h>

/* inclusion du coeur */
#include <SCE/core/SCECore.h>

/* gestionnaires "bas niveau" */
#include <SCE/interface/SCENode.h>
#include <SCE/interface/SCEBoundingBox.h>
#include <SCE/interface/SCEFrustum.h>
#include <SCE/interface/SCEMesh.h>

/* gestionnaires "haut niveau" */
#include <SCE/interface/SCEModel.h>
#include <SCE/interface/SCELight.h>
#include <SCE/interface/SCECamera.h>
#include <SCE/interface/SCEState.h>
#include <SCE/interface/SCEScene.h>
/*#include <SCE/interface/SCESkybox.h>*/


/* initialise le SCEngine */
int SCE_Init (FILE*, SCEflags);

/* quitte le SCEngine */
void SCE_Quit (void);

#endif /* guard */
